POST
/boleto-connectionsConnect boleto credentials
Request Body
requiredobject
Request with information to create a boleto connection
connectorIdrequiredinteger
Connector identifier. Check out the list of connectors, and if it has the flag 'supportsBoletoManagement' as true, it means it's possible to create a boleto connection with it.
credentialsrequiredobject
Credentials required for the connection. For Inter, they are clientId, clientSecret, certificate and privateKey, follow: https://docs.pluggy.ai/docs/connect-an-account#inter-pj
Example
json
{
"connectorId": 225,
"credentials": {
"clientId": "your-client-id",
"clientSecret": "your-client-secret",
"certificate": "your-certificate-no-newlines",
"privateKey": "your-private-key-no-newlines"
}
}Responses
200Boleto connection created successfully
object
Response with information related to a boleto connection
idrequiredstring (uuid)
Primary identifier
connectorIdrequiredinteger
Primary identifier of the connector associated with this connection
createdAtrequiredstring (date-time)
Date when the connection was created
updatedAtrequiredstring (date-time)
Date when the connection was last updated
Example response
json
{
"id": "dc3537ad-13b4-4770-b248-e4578983899c",
"connectorId": 225,
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}Code Examples
bash
curl -X POST 'https://api.pluggy.ai/boleto-connections' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'